# 74. Mutation : vérifier « Equation »

Mutation pour vérifier le code de l'Équation. Le moteur Equation est construit sur `python` langage avec le support des opérations mathématiques courantes.&#x20;

La liste des opérations prises en charge :

1. module de base Python : abs, all, any, bin, bool, bytearray, bytes, chr, complex, dict, dir, divmod, enumerate, filter, float, format, frozenset, hash, hex, id, int, isinstance, len, list, map, max, min, oct, ord, pow, range, repr, reversed, round, set, slice, sorted, str, sum, tuple, type, zip.
2. module math de Python : acos, acosh, asin, asinh, atan, atan2, atanh, ceil, copysign, cos, cosh, degrees, e, exp, fabs, factorial, floor, fmod, frexp, fsum, hypot, isinf, isnan, ldexp, log, log10, log1p, modf, pi, pow, radians, sin, sinh, sqrt, tan, tanh, trunc.
3. conditions Python : if, elif, else.
4. boucles Python : for, while.

{% hint style="danger" %}
`equationAsText` doit être entouré par """\<equation>""" et le code doit être stylé en python.&#x20;

Conserver uniquement la tabulation et les espaces nécessaires.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation VerifyEquation {
  verifyEquation(input: {
    dataVariables: [{
      variable: "yield_vol"
      sampleValue: 1.1 
    }, {
      variable: "prod"
      sampleValue: 2.2
    }]
    equationAsText: """calculated = yield_vol/prod + 3.5 
if calculated >= 30:
    resultat = 35
elif calculated >= 20 and calculated < 30:
    resultat = 25
sinon :
    resultat = 15
    """
    equationResultVariable: "result"
  }) {
    exécuté
    résultat
    message d'erreur
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/docs-api/vue-densemble-des-requetes-de-lapi-geopard/74.-mutation-verifier-equation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
